Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.delta
Class Operation

    java.lang.Object
      org.infinispan.schematic.internal.delta.Operation

Direct Known Subclasses:
  ArrayOperation, PutIfAbsentOperation, PutOperation, RemoveOperation

    @Immutable
    public abstract class Operation

extends Object

An atomic operation for SchematicValueDelta.

Author:
  (various)

Field Summary
`protected Path` | `parentPath`

Constructor Summary
`protected` | `Operation(Path parentPath)`

Method Summary
`abstract Operation` | `clone()`
`protected Object` | `cloneValue(Object value)`
`Path` | `getParentPath()`
`protected MutableDocument` | `mutableParent(MutableDocument delegate)`
`abstract void` | `replay(MutableDocument delegate)`
`abstract void` | `rollback(MutableDocument delegate)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parentPath

    protected final Path parentPath

Constructor Detail

### Operation

    protected Operation(Path parentPath)

Method Detail

### replay

    public abstract void replay(MutableDocument delegate)

### rollback

    public abstract void rollback(MutableDocument delegate)

### getParentPath

    public Path getParentPath()

### mutableParent

    protected MutableDocument mutableParent(MutableDocument delegate)

### clone

    public abstract Operation clone()

  Overrides:
    `clone` in class `Object`

### cloneValue

    protected Object cloneValue(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.